package eu.mhsl.minenet.minigames.api;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

public class QueuedPlayerRooms {
    private static final Map<UUID, UUID> playersToRoom = new HashMap<>();

    public static void queuePlayer(UUID playerUUID, UUID roomUUID) {
        playersToRoom.put(playerUUID, roomUUID);
    }

    public static UUID pullQueue(UUID playerUUID) {
        return playersToRoom.remove(playerUUID);
    }
}
